export default function xFetch({ url, method, data, type }) {
    if (type == 'binding') {
        url = `${getApp().globalData.globalUrl2}${url}`
    } else {
        url = `${getApp().globalData.globalUrl}${url}`
    }
    return new Promise((resolve, rejects) => {
        dd.httpRequest({
            headers: {
                "Content-Type": "application/json;charset=UTF-8",
                Authorization: `Bearer ${getApp().globalData.token}`
            },
            url: url,
            method: method,
            dataType: "json",
            data: data,
            // timeout: 280,
            success: function (res) {
                if (res.data.code == 0) {
                    resolve(res);
                } else {
                    rejects(res);
                    dd.alert({
                        content: res.data.msg || "请求数据异常",
                        buttonText: "确定"
                    });

                }
            },
            fail: function (err) {
                rejects({ refresh: true });
            }
        });
    });
}

