let lock = false;
export default async function login() {
  if (lock == true) {
    await waitLockRelease(50);
    return;
  }
  lock = true;
  return new Promise((resolve, reject) => {
    dd.getAuthCode({
      success: function (res) {
        // 获取用户信息
        dd.httpRequest({
          headers: {
            "Content-Type": "application/json",
            "Authorization": `Basic bWVldGluZy13ZWI6bWVldGluZy13ZWI=`
          },
          url: `${getApp().globalData.globalUrl}/admin/skipAuth/getUserInfoByDingtalkCode?orgId=${dd.corpId}&projectName=MING_MEETING&code=${res.authCode}`,
          method: 'POST',
          dataType: 'json',
          success: function (res) {
            const { oapiUser } = res.data.data;
            getApp().globalData.token = res.data.data.accessToken.access_token;
            getApp().globalData.name = res.data.data.oapiUser.name;
            getApp().globalData.userid = res.data.data.oapiUser.userid;
            getApp().globalData.avatar = res.data.data.oapiUser.avatar;
            getApp().globalData.userInfo = JSON.stringify({
              username: oapiUser.name,
              userId: oapiUser.userid,
              headUrl: oapiUser.avatar,
              platform: "dingtalk"
            });
            lock = false;
            resolve(res)
          },
          fail: function (err) {
            lock = false;
            reject(err);
            console.log('err:' + err);
          }
        })
      },
      fail: function (err) {
        lock = false;
        reject(err);
        console.log('fail:' + err);
      }
    })
  })
}

async function waitLockRelease(retry) {
  for (let i = 0; i < retry; i++) {
    if (lock == false) {
      console.log(i);
      return;
    }
    await sleep(100);
  }
}

function sleep(time) {
  return new Promise(resolve => {
    setTimeout(resolve, time);
  });
}
