import { unbindingApp } from "../../api/request";
import create from "dd-store";
create.Page({
  data: {
    $data: null,
    item: "",
    showSelectPopup: false,
    selectPopupList: [{ text: "取消关联" }]
  },
  onLoad(e) {
    this.setData({
      item: JSON.parse(e.item)
    });
  },
  onSelectPopup(e) {
    if (e.target.dataset.item.text === "取消关联") {
      this.unbind();
    }
  },
  onSelectPopupCancel() {
    this.setData({
      showSelectPopup: false
    });
  },
  showPopup() {
    this.setData({
      showSelectPopup: true
    });
  },
  unbind() {
    unbindingApp(this.data.item.platform).then(res => {
      if (res.data.data) {
        this.$store.data.relatedAppNeedUpdate = "1";
        this.update();
        dd.navigateBack({
          delta: 1
        });
      }
    });
  }
});
